Subject: Re: Building DLLs to be loaded from Visual Basic
From: "Mader, Alexander" <[email-masked]>
To: Massimiliano Mirra <[email-masked]>
Cc: [email-masked]
Date: Tue, 01 Apr 2003 10:06:55 +0200

Hallo,

Massimiliano Mirra schrieb:
| "Mader, Alexander" <[email-masked]> writes:
|
|
|>>- is anybody today successfully building DLLs with cygwin (not
|>>  mingw32) and loading them from Visual Basic (or other languages)?
|>
|>I have to provide DLLs for VB and do so by using Cygwin but with
|>-mnocygwin, which is more or less using mingw32.
|
|
| Is that relevant to the DLL creation, i.e. do you know if a DLL built
| without -mnocygwin (thus with cygwin) is still as usable?  I have to
| access the serial hardware on the target and I prefer to do it the
| POSIX way rather than with the native API.

You have to ensure the presence of cygwin.dll and all other cygwin-DLLs
your own one depends on in the path, then it should work.

Regards, Alexander.
- --
Alexander Mader <[email-masked]>	Fon: +49-30-93033-636
NILES Werkzeugmaschinen GmbH			Fax: +49-30-93033-603
				www.niles.de

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/